
%% variable lim_{it} (defined on GUI)
limit_it = gui.Limit; % maximal number of learning interactions,

%% variable \epsilon (defined on GUI)
limit_theta = gui.epsilon; % Termination condition defined on Algorithm 2 Step 3.c.ii. The value depends on the value of thetas. Zero to no terminal condition.

%% Number of rules per input variable (defined on GUI)
n_rules_to_train = gui.n_rules_ini:gui.n_rules_end; % [2, 3, 4, 5]
    % The learning algorithm will run varying the fuzzy rules between 2 and 5
    % (for example). Thus, the learning algorithm will run 4x on the training
    % and will be tested with the best number of rules found on the training.
    % See Section 5, for more details.

%% Other variables definition
per_extra = 0.050; % 5% (suggest keeping it fixed) - percentage extra to increase the limits of the universe of discourse of the input variables
